Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Pour en savoir un peu plus sur l'équipe du forum.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 10/10/2017, à 14:13

incises

[RESOLU] installation d'Oracle JDK 9 et JRE + Eclipse

Bonjour
je viens d'installer dans mon /opt la nouvelle version du JDK d'Oracle, JDK 9.
Il est bien indiqué par Oracle sur cette page :
https://docs.oracle.com/javase/9/instal … 249180BD0F
que lorsque vous installez le JDK le JRE est compris dedans.
Il en était ainsi dans ma précédente installation de JDK 8, le répertoire principal contenait un sous-répertoire jre.
Mais ici rien. Le répertoire jdk-9 ne contient pas de répertoire jre. Et du coup Eclipse ne reconnaît pas Java 9.
Où est le 'jre associé' ?? Avez-vous rencontré ce problème ?
Cordialement.

Dernière modification par incises (Le 12/10/2017, à 16:43)

Hors ligne

#2 Le 10/10/2017, à 19:31

ublender

Re : [RESOLU] installation d'Oracle JDK 9 et JRE + Eclipse

Bonjour,

J'ai une petite question: as tu vraiment besoin de la version d'oracle (en d'autres termes, as tu essayé openjdk qui est l'alternative libre au jdk d'oracle)? Personnellement, j'utilise openjdk 8 (la version 9 ne fonctionne pas avec minecraft) et ça fonctionne très bien, et comme c'est dans les dépôts, du coup c'est ultra simple à installer

Dernière modification par ublender (Le 10/10/2017, à 19:31)

Hors ligne

#3 Le 12/10/2017, à 10:50

incises

Re : [RESOLU] installation d'Oracle JDK 9 et JRE + Eclipse

La réponse est oui.

Hors ligne

#4 Le 12/10/2017, à 16:38

incises

Re : [RESOLU] installation d'Oracle JDK 9 et JRE + Eclipse

Eh bien je réponds à ma propre question, pour ceux que cela pourrait intéresser...
J'avais téléchargé Eclipse 4.7.1, qui n'était pas encore adaptée nativement à Java 9...
Quelques heures plus tard est sortie la version d'Eclipse 4.7.1a, que j'ai finalement installée : les difficultés que j'avais mentionnées plus haut
ont alors complètement disparu.
Il apparaît que dans le jdk 9 il n'y a plus de répertoire jre à part, mais tous les outils nécessaires du jre sont là et la dernière version d'Eclipse les trouve cette fois sans difficultés.

Dernière modification par incises (Le 12/10/2017, à 16:40)

Hors ligne